[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: emacs mode for running debuild, debc, and debi etc.

Julian Gilbey (2002-10-18 14:03:46 +0100) :

> On Thu, Oct 17, 2002 at 09:38:25PM -0500, Rob Browning wrote:
>> If you have a little bit of emacs code that you need to byte
>> compile if and only if an emacsen is available and you don't want
>> to make your whole package depend on an emacsen, then with current
>> policy you're supposed to create a separate package with the emacs
>> bits and have that depend on emacsen, hence gettext-el,
>> dpkg-dev-el, etc.
> What about this devscripts-el stuff?  If it's small enough that it
> doesn't need byte-compiling, what are the options in that case?  (It
> still wants to be in the default load-path and to be noticed by the
> emacsen so that M-x devscripts-mode or whatever works.)

  Since it's Elisp only, it makes no sense to install it if you don't
have any Emacs variant installed.  The devscripts-el package (soon to
be uploaded, promise) therefore depends on emacs21 | emacsen.  It also
depends on emacsen-common, because it requires a recent enough version
of it.

Roland Mas

Au royaume des aveugles, les borgnes sont mal vus.

Reply to: